#!/usr/bin/env bash

usage_hint="
Look, there are two ways to do this:
1)   ./deploy.sh local
1.5) ./deploy.sh local-mini
2)   ./deploy.sh classicmayan <server_username>
"

if [[ "$1" = "local" ]]; then
    echo "Deploying to local SADE instance..."
    ant deploy
elif [[ "$1" = "local-mini" ]]; then
    echo "Deploying to local SADE instance (minimal)..."
    ant deploy-mini    
elif [[ "$1" = "classicmayan-mini" ]] && [[ ! -z "$2" ]]; then
    echo "Deploying to remote SADE instance at classicmayan.org (minimal)..."
    read -p "Enter eXist-DB username: " existuser_name
    read -p "Enter eXist-DB password: " existuser_pass
    ssh -f -L 8383:classicmayan.org:8383 "$2"@classicmayan.org sleep 20
    ant deploy-mini -Dexist.port="8383" -Dexist.user.name="$existuser_name" -Dexist.user.pass="$existuser_pass"    
elif [[ "$1" = "classicmayan" ]] && [[ ! -z "$2" ]]; then
    echo "Deploying to remote SADE instance at classicmayan.org..."
    read -p "Enter eXist-DB username: " existuser_name
    read -p "Enter eXist-DB password: " existuser_pass
    ssh -f -L 8383:classicmayan.org:8383 "$2"@classicmayan.org sleep 20
    ant deploy -Dexist.port="8383" -Dexist.user.name="$existuser_name" -Dexist.user.pass="$existuser_pass"
else
    echo "$usage_hint"
    exit 1
fi
